<?php

namespace Restaurant\Report;

use DB;
use Illuminate\Database\Seeder;

class ReportTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('reports')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'report.report.view',
                'name'      => 'View Report',
            ],
            [
                'slug'      => 'report.report.create',
                'name'      => 'Create Report',
            ],
            [
                'slug'      => 'report.report.edit',
                'name'      => 'Update Report',
            ],
            [
                'slug'      => 'report.report.delete',
                'name'      => 'Delete Report',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/report/report',
                'name'        => 'Report',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/report/report',
                'name'        => 'Report',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'report',
                'name'        => 'Report',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Report',
                'module'    => 'Report',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'report.report.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
